{% extends "../layout.jinja2" %}

{% block content %}
<h1>Health status</h1>

<table class="table">
    <thead>
        <tr>
            <th>Service</th>
            <th>Status</th>
        </tr>
    </thead>
    <tbody>
    {% for service in services %}
        <tr>
            <td>{{ service }}</td>
            <td>
                {% with status = services[service] %}
                    {% if status %}
                        <span class="badge badge-success">OK</span>
                    {% else %}
                        <span class="badge badge-danger">Unavailable</span>
                    {% endif %}
                {% endwith %}
            </td>
        </tr>
    {% endfor %}
    </tbody>
</table>

<h2>Variables</h2>

<table class="table">
    <thead>
        <tr>
            <th>Information</th>
            <th>Value</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>Server start</td>
            <td>{{ settings['obsportal.start'] }}</td>
        </tr>
        <tr>
            <td>Version</td>
            <td>{{ settings['obsportal.version.app'] }}</td>
        </tr>
        {% if db_tags %}
            {% for tag in db_tags %}
                <tr>
                    <td>DB Tag [{{ tag.id }}]</td>
                     <td>{{ tag.value }}</td>
                </tr>
            {% endfor %}
        {% endif %}
        <tr>
            <td>Root directory</td>
            <td>{{ settings['obsportal.paths.root'] }}</td>
        </tr>
        <tr>
            <td>Data directory</td>
            <td>{{ settings['obsportal.paths.data'] }}</td>
        </tr>
        <tr>
            <td>Logs directory</td>
            <td>{{ settings['obsportal.paths.logs'] }}</td>
        </tr>
        <tr>
            <td>Tmp directory</td>
            <td>{{ settings['obsportal.paths.tmp'] }}</td>
        </tr>
        <tr>
            <td>Variant</td>
            <td>{{ settings['obsportal.variant'] }}</td>
        </tr>
        {% if db_host %}
        <tr>
            <td>DB Host</td>
            <td>{{ db_host }}</td>
        </tr>
        {% endif %}
        {% if db_name %}
        <tr>
            <td>Database</td>
            <td>{{ db_name }}</td>
        </tr>
        {% endif %}
        {% if db_user %}
        <tr>
            <td>DB user</td>
            <td>{{ db_user }}</td>
        </tr>
        {% endif %}
        {% if db_pool_status %}
        <tr>
            <td>DB connections (Server instance)</td>
            <td>{{ db_pool_status }}</td>
        </tr>
        {% endif %}
        {% if pg_stats %}
        <tr>
            <td>DB connections (Global)</td>
            <td>
                {% for pg_stat in pg_stats %}
                    {{ pg_stat['number'] }} {{ pg_stat['state'] }}
                    {% if not loop.last %} | {% endif %}
                {% endfor %}
            </td>
        </tr>
        {% endif %}
    </tbody>
</table>

<h2>Database statistics</h2>

<table class="table">
    <thead>
        <tr>
            <th>Information</th>
            <th>Value</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>Header count</td>
            <td>{{ hdr_count }}</td>
        </tr>
        <tr>
            <td>Target count</td>
            <td>{{ tgt_count }}</td>
        </tr>
        <tr>
            <td>Observation count</td>
            <td>{{ obs_count }}</td>
        </tr>
        <tr>
            <td>Exposure count</td>
            <td>{{ exp_count }}</td>
        </tr>
        <tr>
            <td>Valid exposure count</td>
            <td>{{ exp_valid_count }} ({{ '%.2f'|format(exp_valid_ratio) }}%)</td>
        </tr>
        <tr>
            <td>Exposure Date min</td>
            <td>{{ exp_min_date }}</td>
        </tr>
        <tr>
            <td>Exposure Date max</td>
            <td>{{ exp_max_date }}</td>
        </tr>
        <tr>
            <td>Header last ModificationDate</td>
            <td>{{ last_mod_date|datetime }}</td>
        </tr>
    </tbody>
</table>

{% endblock content %}
